var
  n,k,ans,sum: int64;  
  f,f1:text;
begin
  assign (f,'olimp.in');
  assign (f1,'olimp.out');
  reset (f);
  rewrite(f1);
  readln(f,n,k);
  sum:=0;
  ans:=0;
  while sum<n do
    begin
      inc(sum,k);
      inc(ans);
      inc(k)
    end;
  writeln(f1,ans);
 close (f1);
 close (f);
end.